Part Ellipsoid

From FreeCAD Documentation
Revision as of 19:00, 18 February 2022 by C4e (talk | contribs) (Insert new example image for Part Ellipsoid.)

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.


Part Ellipsoid

Menu location
Part → Create primitives → Ellipsoid
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Create primitives

Description

The Part Ellipsoid command creates a parametric Ellipsoid solid.

Screenshot of a Part Ellipsoid with default values

The shape produced is limited in FreeCAD to being a solid (optionally truncated) spheroid, the shape you would create by rotating an ellipse around one of its axis. By default it is a Oblate Spheroid, the shape you would create by rotating an ellipse around its minor axis. The parameters can be changed to form a Prolate Spheroid.

The default spheroid in FreeCAD will have a circle for any cross section parallel to the XY plane. The cross section parallel to the other two planes will be an ellipse.

In mathematics, an Ellipsoid would have an elliptical cross section in all three planes.

Usage

A parametric Ellipsoid solid is available from the Create Primitives dialogue in the Part workbench.

  1. Switch to the Part Workbench
  2. Access the Ellipsoid command several ways:
    • Through the Create Primitives dialogue, pressing the Primitives button located in the Part toolbar
    • Using the Part → Create primitives → Ellipsoid entry in the Part menu

Properties

  • Radius1, by default the minor radius parallel to the Z-axis,
  • Radius2, by default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
  • Radius3, by default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
  • Angle1, lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
  • Angle2, upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
  • Angle3, angle of rotation of the elliptical cross section (360 degrees in a full spheroid)


Notes

Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

  • DataSupport (LinkList):
  • DataMap Mode:

Base


Ellipsoid

  • DataRadius1 (Length): By default the minor radius parallel to the Z-axis,
  • DataRadius2 (Length): By default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
  • DataRadius3 (Length): By default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
  • DataAngle1 (Angle): Lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
  • DataAngle2 (Angle): Upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
  • DataAngle3 (Angle): Angle of rotation of the elliptical cross section (360 degrees in a full spheroid)

Limitations

Scripting

A Part Ellipsoid is created with the addObject() method of the document.

{{Code|code= ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")

  • Where myBox is the name for the object. The name must be unique for the entire document.
  • The function returns the newly created object.

The Label is the user editable name for the object. It can be easily changed by

box.Label = "new myBoxName"

You can access and modify attributes of the box object. For example, you may wish to modify the length, width and height parameters.

box.Length = 4
box.Width = 8
box.Height = 12

You can change its placement with:

box.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(75, 60, 30))


A Part Ellipsoid can be created with the following function:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

You can access and modify attributes of the ellipsoid object.

The name of the object can be easily changed by

ellipsoid.label = "new ellipsoidName"

For example, you may wish to modify the two radii and the three angles of the ellipsoid.

ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 8
ellipsoid.Radius3 = 8
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300

The result will be a part of an ellipsoid.

You can change its placement and orientation with:

ellipsoid.Placement = FreeCAD.Placement(FreeCAD.Vector(2, 4, 6), FreeCAD.Rotation(30, 45, 10))